
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops toolbox template

Generate cluster.yaml from template

### Synopsis

Generate cluster.yaml from values input yaml file and apply template.

```
kops toolbox template [CLUSTER] [flags]
```

### Examples

```
  # Generate cluster.yaml from template and input values
  kops toolbox template \
  --values values.yaml --values=another.yaml \
  --set var=value --set-string othervar=true \
  --snippets file_or_directory --snippets=another.dir \
  --template file_or_directory --template=directory  \
  --output cluster.yaml
```

### Options

```
      --channel string           Channel to use for the channel* functions (default "stable")
      --config-value string      Show the value of a specific configuration value
      --fail-on-missing          Fail on referencing unset variables in templates (default true)
      --format-yaml              Attempt to format the generated yaml content before output
  -h, --help                     help for template
      --out string               Path to output file. Defaults to stdout
      --set stringArray          Set values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)
      --set-string stringArray   Set STRING values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)
      --snippets strings         Path to directory containing snippets used for templating
      --template strings         Path to template file or directory of templates to render
      --values strings           Path to a configuration file containing values to include in template
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops toolbox](kops_toolbox.md)	 - Miscellaneous, experimental, or infrequently used commands.

